| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Fields
CompactContext Struct Reference

## Data Fields
const AVClass * | class
char * | item_sep_str
char | item_sep
int | nokey
int | print_section
char * | escape_mode_str
const char *(* | escape_str )(AVBPrint *dst, const char *src, const char sep, void *log_ctx)
int | nested_section [SECTION_MAX_NB_LEVELS]
int | has_nested_elems [SECTION_MAX_NB_LEVELS]
int | terminate_line [SECTION_MAX_NB_LEVELS]

## Detailed Description

Definition at line 1195 of file fftools_ffprobe.c.

## Field Documentation

## ◆ class

const AVClass* CompactContext::class

Definition at line 1196 of file fftools_ffprobe.c.

## ◆ escape_mode_str

char* CompactContext::escape_mode_str

Definition at line 1201 of file fftools_ffprobe.c.

## ◆ escape_str

const char *(* CompactContext::escape_str) (AVBPrint *dst, const char *src, const char sep, void *log_ctx)

Definition at line 1202 of file fftools_ffprobe.c.

## ◆ has_nested_elems

int CompactContext::has_nested_elems[SECTION_MAX_NB_LEVELS]

Definition at line 1204 of file fftools_ffprobe.c.

## ◆ item_sep

char CompactContext::item_sep

Definition at line 1198 of file fftools_ffprobe.c.

## ◆ item_sep_str

char* CompactContext::item_sep_str

Definition at line 1197 of file fftools_ffprobe.c.

## ◆ nested_section

int CompactContext::nested_section[SECTION_MAX_NB_LEVELS]

Definition at line 1203 of file fftools_ffprobe.c.

## ◆ nokey

int CompactContext::nokey

Definition at line 1199 of file fftools_ffprobe.c.

## ◆ print_section

int CompactContext::print_section

Definition at line 1200 of file fftools_ffprobe.c.

## ◆ terminate_line

int CompactContext::terminate_line[SECTION_MAX_NB_LEVELS]

Definition at line 1205 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c